# EXPER

Exper is a Python package designed for personal use by the author to streamline the execution of PyTorch-based deep learning experiments. This framework is specifically crafted to support Distributed Data Parallel (DDP) training and provides a convenient mechanism for saving experiment logs.

## Features:

- **PyTorch Integration:** Built on top of PyTorch, Exper allows seamless integration with the PyTorch deep learning ecosystem.

- **DDP Training Support:** The framework supports Distributed Data Parallel training, enabling efficient and scalable model training across multiple GPUs.

- **Experiment Logging:** Easily log and save experiment details, parameters, and results for better reproducibility and analysis.

- **Based on torchdrug:** Exper is derived from the open-source library torchdrug developed by MILA, providing a foundation for reliable and robust deep learning experiments.

## Installation:
```bash
pip install exper==0.1.0
```

